running an older NEURON model in a newer NEURON version

Anything that doesn't fit elsewhere.
Post Reply
k47h4
Posts: 1
Joined: Tue May 19, 2020 9:52 am

running an older NEURON model in a newer NEURON version

Post by k47h4 »

Dear Forum,

I am trying to get a model to run, which has been developed with Neuron 7.1: https://senselab.med.yale.edu/modeldb/S ... 977#tabs-1
I only have the 7.6 version of NEURON available at the server of my institute, but I hoped that this would not be a problem.

However, when loading the main hoc file into the GUI, I get the following error:

oc>IsActive: 1
13
Use Local dt: 1
17
2
Condition Order: 2
20
1
1
1
1
/usr/lib/neuron/bin/nrniv: syntax error
in FS_WT_modif.tem near line 46
insert KPyr
^
xopen("FS_WT_modif.tem")
execute1("{xopen("FS...")
load_file("../templat...")
xopen("functions_...")
and others
0
1
1
/usr/lib/neuron/bin/nrniv: syntax error
in Pyram_WT_modif.tem near line 59
insert KPyr
^
xopen("Pyram_WT_m...")
execute1("{xopen("Py...")
load_file("../templat...")
xopen("functions_...")
and others
0
1
free(): double free detected in tcache 2
Aborted

When I google the error, I only find posts about C++, and I do not see what might be wrong with the syntax here. Any ideas?

Thanks a lot!
Katharina
ted
Site Admin
Posts: 5793
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Re: running an older NEURON model in a newer NEURON version

Post by ted »

After changing from one version of NEURON to another, it is necessary to recompile the mod files used by your model. First be sure to go to the NEURON Forum's Hot tips area (hint: it's under Making and using models with NEURON) and read the topic
mod files: what they are, and how to use them
Post Reply